Subject: [Iptel] RE: Scope of *rn* parameter in the context of LNP

From: "Yu, James" <[email-masked]>
Date: Wed, 30 Mar 2005 14:34:24 -0500

Chella,
 
There is no conflict .  For example, a national routing number of "202-533-0000" under country code 1 can be represented by a global routing number as "+1-202-533-0000".  Nodes outside the country code 1 can route based on "+1" to a node that understands (e.g., be able to route) the national routing numbers under country code 1.
 
For a PSTN international call to a ported number in another country, the call is routed to the international switch of the destination country.  Number portability database dip will then be performed to determine the national routing number within the destination PSTN.   For an IP call, it is possible that a node may learn the "global" routing number (e.g., from the carrier/operator/infrastructure ENUM).   My I-D would allow that the global routing number be carried in the tel URI and be used for routing within the IP domain.  Whether the routing is based on the country code, portion of the global routing number or the whole global routing number is up to the node that processes the received tel URI.
 
James
 
-----Original Message-----
From: Chelliah Sivachelvan (chelliah) [mailto:[email-masked]]
Sent: Wednesday, March 30, 2005 12:00 PM
To: Yu, James "

Cc: [email-masked]; [email-masked]; Peterson, Jon
Subject: Scope of *rn* parameter in the context of LNP 

James:

The current draft (draft-ietf-iptel-tel-np-04.txt) implies that the *rn* parameter can contain global numbers (i.e., E.164 numbers) in the context of LNP. This has also been illustrated in one of the examples in section 6(c). 
 
But the scope of LNP is national; as such the scope of routing number (LRN) is not a globally reachable number. Therefore, it must be treated as a national number. RFC-3388 also makes a strong statement on this very subject. Here is the excerpts from RFC-3388 (section 8.2.1.1 ) 
 
   "LRNs are necessarily national in scope, and consequently they MUST NOT be preceded by a '+' in the 'rn=' field."

We need to resolve the discrepancies between the two specs.

Thanks!
Chella

Cisco Systems,
2200 East President George Bush Turnpike ,
Richardson, TX 75082
Tel: 469.255.1169

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel

---

From: "Chelliah Sivachelvan \(chelliah\)" <[email-masked]>
Date: Wed, 30 Mar 2005 11:05:28 -0600

Correction: The referenced RFC is 3398 not 3388.
 
Thanks!
Chella

  _____  

From: Chelliah Sivachelvan (chelliah) [mailto:[email-masked]] 
Sent: Wednesday, March 30, 2005 11:00 AM
To: [email-masked]'
Cc: [email-masked]'; [email-masked]';
[email-masked]'
Subject: Scope of *rn* parameter in the context of LNP

James:

The current draft (draft-ietf-iptel-tel-np-04.txt) implies that the *rn*
parameter can contain global numbers (i.e., E.164 numbers) in the context of
LNP. This has also been illustrated in one of the examples in section 6(c). 
 
But the scope of LNP is national; as such the scope of routing number (LRN)
is not a globally reachable number. Therefore, it must be treated as a
national number. RFC-3388 also makes a strong statement on this very
subject. Here is the excerpts from RFC-3388 (section 8.2.1.1 ) 
 
   "LRNs are necessarily national in scope, and consequently they MUST NOT
be preceded by a '+' in the 'rn=' field."

Thanks!
Chella

Cisco Systems,